//*******************************************
//*					
//*          Real world lighting for use on non-visible brushes	
//*          Made by ShminkyBoy 10/3/2002
//*          Adapted to mindriot_light.shader by mindriot
//*
//*          This file is based on the urban_light.shader file
//*          provided by Silicon Ice Development.
//*
//*          this shader belongs in [quake folder]\[mod folder]\scripts\
//*          add realworld_light to shaderlist.txt
//*          editor graphics for this shader should be placed
//*          in [quake folder]\[mod folder]\textures\realworld_light\
//*          					
//********************************************


//	Incandescent lights
//	=============

textures/mindriot_light/inc_k005
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightinc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 5000
	q3map_lightimage textures/realworld_light/incand.tga
}

textures/mindriot_light/inc_k020
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightinc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 20000
	q3map_lightimage textures/realworld_light/incand.tga
}

textures/mindriot_light/inc_k025
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightinc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 25000
	q3map_lightimage textures/realworld_light/incand.tga
}

textures/mindriot_light/inc_k050
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightinc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 50000
	q3map_lightimage textures/realworld_light/incand.tga
}

textures/mindriot_light/inc_k100
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightinc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 100000
	q3map_lightimage textures/realworld_light/incand.tga
}

textures/mindriot_light/inc_k500
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightinc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 500000
	q3map_lightimage textures/realworld_light/incand.tga
}

textures/mindriot_light/inc_m001
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightinc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 1000000
	q3map_lightimage textures/realworld_light/incand.tga
}




//	Sodium Lights
//	==========

textures/mindriot_light/sod_k005
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightsod.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 5000
	q3map_lightimage textures/realworld_light/sodium.tga
}

textures/mindriot_light/sod_k020
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightsod.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 20000
	q3map_lightimage textures/realworld_light/sodium.tga
}

textures/mindriot_light/sod_k025
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightsod.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 25000
	q3map_lightimage textures/realworld_light/sodium.tga
}

textures/mindriot_light/sod_k050
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightsod.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 50000
	q3map_lightimage textures/realworld_light/sodium.tga
}

textures/mindriot_light/sod_k100
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightsod.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 100000
	q3map_lightimage textures/realworld_light/sodium.tga
}

textures/mindriot_light/sod_k500
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightsod.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 500000
	q3map_lightimage textures/realworld_light/sodium.tga
}

textures/mindriot_light/sod_m001
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightsod.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 1000000
	q3map_lightimage textures/realworld_light/sodium.tga
}




//	Flourescent Lights
//	=============

textures/mindriot_light/flo_k005
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightflo.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 5000
	q3map_lightimage textures/realworld_light/flouresc.tga
}

textures/mindriot_light/flo_k020
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightflo.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 20000
	q3map_lightimage textures/realworld_light/flouresc.tga
}

textures/mindriot_light/flo_k025
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightflo.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 25000
	q3map_lightimage textures/realworld_light/flouresc.tga
}

textures/mindriot_light/flo_k050
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightflo.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 50000
	q3map_lightimage textures/realworld_light/flouresc.tga
}

textures/mindriot_light/flo_k100
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightflo.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 100000
	q3map_lightimage textures/realworld_light/flouresc.tga
}

textures/mindriot_light/flo_k500
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightflo.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 500000
	q3map_lightimage textures/realworld_light/flouresc.tga
}

textures/mindriot_light/flo_m001
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightflo.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 1000000
	q3map_lightimage textures/realworld_light/flouresc.tga
}




//	Metal Halide Lights
//	=============

textures/mindriot_light/hal_k005
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lighthal.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 5000
	q3map_lightimage textures/realworld_light/halide.tga
}

textures/mindriot_light/hal_k020
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lighthal.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 20000
	q3map_lightimage textures/realworld_light/halide.tga
}

textures/mindriot_light/hal_k025
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lighthal.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 25000
	q3map_lightimage textures/realworld_light/halide.tga
}

textures/mindriot_light/hal_k050
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lighthal.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 50000
	q3map_lightimage textures/realworld_light/halide.tga
}

textures/mindriot_light/hal_k100
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lighthal.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 100000
	q3map_lightimage textures/realworld_light/halide.tga
}

textures/mindriot_light/hal_k500
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lighthal.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 500000
	q3map_lightimage textures/realworld_light/halide.tga
}

textures/mindriot_light/hal_m001
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lighthal.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 1000000
	q3map_lightimage textures/realworld_light/halide.tga
}


//	Mercury Lights
//	============



textures/mindriot_light/mer_k005
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightmerc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 5000
	q3map_lightimage textures/realworld_light/mercury.tga
}

textures/mindriot_light/mer_k020
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightmerc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 20000
	q3map_lightimage textures/realworld_light/mercury.tga
}

textures/mindriot_light/mer_k025
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightmerc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 25000
	q3map_lightimage textures/realworld_light/mercury.tga
}

textures/mindriot_light/mer_k050
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightmerc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 50000
	q3map_lightimage textures/realworld_light/mercury.tga
}

textures/mindriot_light/mer_k100
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightmerc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 100000
	q3map_lightimage textures/realworld_light/mercury.tga
}

textures/mindriot_light/mer_k250
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightmerc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 250000
	q3map_lightimage textures/realworld_light/mercury.tga
}


textures/mindriot_light/mer_k500
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightmerc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 500000
	q3map_lightimage textures/realworld_light/mercury.tga
}

textures/mindriot_light/mer_m001
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightmerc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 1000000
	q3map_lightimage textures/realworld_light/mercury.tga
}


textures/mindriot_light/sl_mer_k005
{
	qer_editorimage textures/realworld_light/mercury.tga
	surfaceparm nolightmap
	q3map_surfacelight 5000
	q3map_lightimage textures/realworld_light/mercury.tga

	{
		map textures/realworld_light/mercury.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/mindriot_light/sl_mer_k010
{
	qer_editorimage textures/realworld_light/mercury.tga
	surfaceparm nolightmap
	q3map_surfacelight 10000
	q3map_lightimage textures/realworld_light/mercury.tga

	{
		map textures/realworld_light/mercury.tga
		rgbGen identity
	}
}

textures/mindriot_light/sl_mer_k025
{
	qer_editorimage textures/realworld_light/mercury.tga
	surfaceparm nolightmap
	q3map_surfacelight 25000
	q3map_lightimage textures/realworld_light/mercury.tga

	{
		map textures/realworld_light/mercury.tga
		rgbGen identity
	}
}

textures/mindriot_light/sl_mer_k050
{
	qer_editorimage textures/realworld_light/mercury.tga
	surfaceparm nolightmap
	q3map_surfacelight 50000
	q3map_lightimage textures/realworld_light/mercury.tga

	{
		map textures/realworld_light/mercury.tga
		rgbGen identity
	}
}

textures/mindriot_light/sl_mer_k100
{
	qer_editorimage textures/realworld_light/mercury.tga
	surfaceparm nolightmap
	q3map_surfacelight 100000
	q3map_lightimage textures/realworld_light/mercury.tga

	{
		map textures/realworld_light/mercury.tga
		rgbGen identity
	}
}

textures/mindriot_light/sl_mer_k500
{
	qer_editorimage textures/realworld_light/mercury.tga
	surfaceparm nolightmap
	q3map_surfacelight 500000
	q3map_lightimage textures/realworld_light/mercury.tga

	{
		map textures/realworld_light/mercury.tga
		rgbGen identity
	}
}

textures/mindriot_light/sl_inc_k025
{
	qer_editorimage textures/realworld_light/incand.tga
	surfaceparm nolightmap
	q3map_surfacelight 25000
	q3map_lightimage textures/realworld_light/incand.tga

	{
		map textures/realworld_light/incand.tga
		rgbGen identity
	}
}

textures/mindriot_light/sl_inc_k500
{
	qer_editorimage textures/realworld_light/incand.tga
	surfaceparm nolightmap
	q3map_surfacelight 500000
	q3map_lightimage textures/realworld_light/incand.tga

	{
		map textures/realworld_light/incand.tga
		rgbGen identity
	}
}

textures/mindriot_light/sl_sod_k025
{
	qer_editorimage textures/realworld_light/sodium.tga
	surfaceparm nolightmap
	q3map_surfacelight 25000
	q3map_lightimage textures/realworld_light/sodium.tga

	{
		map textures/realworld_light/sodium.tga
		rgbGen identity
	}
}

textures/mindriot_light/sl_flo_k025
{
	qer_editorimage textures/realworld_light/flouresc.tga
	surfaceparm nolightmap
	q3map_surfacelight 25000
	q3map_lightimage textures/realworld_light/flouresc.tga

	{
		map textures/realworld_light/flouresc.tga
		rgbGen identity
	}
}

textures/mindriot_light/sl_hal_k025
{
	qer_editorimage textures/realworld_light/halide.tga
	surfaceparm nolightmap
	q3map_surfacelight 25000
	q3map_lightimage textures/realworld_light/halide.tga

	{
		map textures/realworld_light/halide.tga
		rgbGen identity
	}
}



textures/mindriot_light/base_int_light
{
	qer_editorimage textures/realworld_light/mercury.tga
	surfaceparm nolightmap
	q3map_surfacelight 10000
	q3map_lightimage textures/realworld_light/mercury.tga

	{
		map textures/realworld_light/mercury.tga
		rgbGen identity
	}
}

textures/mindriot_light/beh_int_light
{
	qer_editorimage textures/realworld_light/mercury.tga
	surfaceparm nolightmap
	q3map_surfacelight 10000
	q3map_lightimage textures/realworld_light/mercury.tga

	{
		map textures/realworld_light/mercury.tga
		rgbGen identity
	}
}

textures/mindriot_light/sl_maroon_k025
{
	qer_editorimage textures/mindriot_light/maroon.tga
	surfaceparm nolightmap
	q3map_surfacelight 25000
	q3map_lightimage textures/mindriot_light/maroon.tga

	{
		map textures/mindriot_light/maroon.tga
		rgbGen identity
	}
}

textures/mindriot_light/sl_blue_k025
{
	qer_editorimage textures/mindriot_light/blue.tga
	surfaceparm nolightmap
	q3map_surfacelight 25000
	q3map_lightimage textures/mindriot_light/blue.tga

	{
		map textures/mindriot_light/blue.tga
		rgbGen identity
	}
}

textures/mindriot_light/sl_red_k025
{
	qer_editorimage textures/mindriot_light/red.tga
	surfaceparm nolightmap
	q3map_surfacelight 25000
	q3map_lightimage textures/mindriot_light/red.tga

	{
		map textures/mindriot_light/red.tga
		rgbGen identity
	}
}

